org.springframework.cloud.dataflow.rest.resource

## Class StepExecutionProgressInfoResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<StepExecutionProgressInfoResource>
  - - org.springframework.cloud.dataflow.rest.resource.StepExecutionProgressInfoResource

-     public class StepExecutionProgressInfoResource
      extends org.springframework.hateoas.RepresentationModel<StepExecutionProgressInfoResource>

  Represents the step execution progress info resource.
  Since:
    1.0
  Author:
    Ilayaperumal Gopinathan, Glenn Renfro

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StepExecutionProgressInfoResource.Page`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepExecutionProgressInfoResource()`
    `StepExecutionProgressInfoResource(org.springframework.batch.core.StepExecution stepExecution, StepExecutionHistory stepExecutionHistory, double percentageComplete, boolean isFinished, double duration)` Create a new StepExecutionProgressInfoResource

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDuration()`
    `boolean` | `getFinished()`
    `double` | `getPercentageComplete()`
    `org.springframework.batch.core.StepExecution` | `getStepExecution()`
    `StepExecutionHistory` | `getStepExecutionHistory()`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StepExecutionProgressInfoResource

          public StepExecutionProgressInfoResource()

    - #### StepExecutionProgressInfoResource

          public StepExecutionProgressInfoResource(org.springframework.batch.core.StepExecution stepExecution,
                                                   StepExecutionHistory stepExecutionHistory,
                                                   double percentageComplete,
                                                   boolean isFinished,
                                                   double duration)

      Create a new StepExecutionProgressInfoResource
      Parameters:
        `stepExecution` - the step execution, must not be null
        `stepExecutionHistory` - the step execution history, must not be null
        `percentageComplete` - the percentage complete of the step
        `isFinished` - whether the step execution is finished
        `duration` - the duration of the step in milliseconds

  - ### Method Detail

    - #### getPercentageComplete

          public double getPercentageComplete()

    - #### getFinished

          public boolean getFinished()

    - #### getDuration

          public double getDuration()

    - #### getStepExecution

          public org.springframework.batch.core.StepExecution getStepExecution()

    - #### getStepExecutionHistory

          public StepExecutionHistory getStepExecutionHistory()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.